Old Version of Apps

Discussion in 'iPod touch' started by jmggs, May 2, 2013.

  1. macrumors regular

    jmggs

    Joined:
    Jul 6, 2007
    #1
    Hi!

    I have a iPod Touch 3G. I have made a restore to clean everything but the problem is that that ipod only works with iOS 5 so there is new apps that don't work. Is any way to get the old version of that apps? For example i use the https://itunes.apple.com/pt/app/mcintosh-ap1-audio-player/id411263894?mt=8

    But the new version don't work on my iPod, how i can get the older one?

    This is a planed obsolesce and bad practice of Apple don't have older versions of the apps for older devices. And worse you can not install application that you have bought! :mad:

    Does any know a workaround?
    I don't have a backup of the older apps on iTunes. Because i never thought that Apple is doing this to the consumers...
     
  2. macrumors 68000

    Thetonyk123

    Joined:
    Aug 14, 2011
    Location:
    Earth
    #2
    If you don't have a backup of the older version in your recycle bin or iTunes library then no luck. And no it isn't planned obsolesce, newer apps and updates are taking advantage of the Apis apple adds with every iOS update. Therefore that app requires iOS 6 or later.
     
  3. macrumors G5

    Consultant

    Joined:
    Jun 27, 2007
    #3
    On a Mac: backup using iTunes to your Mac, then backup your computer with Time Machine.

    If the future you can backup old version of apps.
     
  4. macrumors 604

    thejadedmonkey

    Joined:
    May 28, 2005
    Location:
    Pa
    #4
    There's no way to get the latest version of an older version? That's positively planned obsoleteness from Apple. I know when Windows Phone upgraded from 7.0 to 7.1, the 7.0 ones are using their own 7.0 store for, and now that 8.0 is out, 7.1 and 7.0 devices can still access older apps in their older app stores.
     
  5. macrumors 68040

    Zmanbaseball2

    Joined:
    Aug 24, 2012
    Location:
    New York, USA
    #5
    I hope Netflix will always work for the iPad 1


    Sent from my iPod touch 5G using Tapatalk 2
     
  6. macrumors regular

    LaurieAnn

    Joined:
    Jul 6, 2011
    #6
    I was in the same situation but mine was a 2nd Gen Touch. I finally bought a 5G Touch and so glad I did.
     
  7. macrumors regular

    Joined:
    May 15, 2013
    #7
    I went from an iPod touch 3G to the 5G. Glad I did, too.
     

Share This Page